clang-tools 10.0.0

Classes | Namespaces | Functions
LinuxKernelTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "MustCheckErrsCheck.h"`
Include dependency graph for LinuxKernelTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::linuxkernel::LinuxKernelModule
| This module is for checks specific to the Linux kernel. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::linuxkernel

## Functions
static ClangTidyModuleRegistry::Add< LinuxKernelModule > | clang::tidy::linuxkernel::X ("linux-module", "Adds checks specific to the Linux kernel.")